Results 1 to 3 of 3

Thread: Issues w/ 1.2.x and GWT Shell

  1. #1
    Ext JS Premium Member firejack's Avatar
    Join Date
    Apr 2007
    Location
    Baltimore, MD
    Posts
    22

    Default Issues w/ 1.2.x and GWT Shell

    Has anyone else encountered (and possibly solved) an issue involving the move from 1.1.3 to 1.2 that looks like this:

    When I change my gxt.jar in the classpath to 1.2 or 1.2.1, suddenly I get a slew of errors that look like this every time I run the GWT shell to test my application:

    Code:
    [ERROR] Errors in 'jar:file:/work/libs/gxt-1.2.1/gxt.jar!/com/extjs/gxt/ui/client/widget/form/FileUploadField.java'
    [ERROR] Line 33: The method uploadField_browseText() is undefined for the type MyMessages
    [ERROR] Errors in 'jar:file:/work/libs/gxt-1.2.1/gxt.jar!/com/extjs/gxt/ui/client/dnd/DNDManager.java'
    [ERROR] Line 56: Events.DragLeave cannot be resolved
    [ERROR] Line 101: Events.DragEnter cannot be resolved
    etc...
    My run configuration and classpath are as follows:

    Code:
    /System/Library/Frameworks/JavaVM.framework/Versions/1.5/Home/bin/java -XstartOnFirstThread -Xmx512M -Dfile.encoding=MacRoman -classpath /work/wkspace/proj/gxt-test/test:/work/libs/gxt-1.1.3/src:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/lib/deploy.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Classes/dt.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Classes/jce.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/lib/plugin.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/lib/sa-jdi.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Classes/charsets.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Classes/classes.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Classes/jconsole.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Classes/jsse.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Classes/laf.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Classes/ui.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/lib/ext/apple_provider.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/lib/ext/dnsns.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/lib/ext/localedata.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/lib/ext/sunjce_provider.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/lib/ext/sunpkcs11.jar:/work/wkspace/proj/gxt-test/build/classes/production/gxt-test:/Applications/IntelliJ IDEA 6.0.4.app/lib/j2ee.jar:/work/libs/mysql/mysql-connector-java-5.0.4-bin.jar:/work/libs/spring-framework-2.1-m1/dist/spring-mock.jar:/work/libs/spring-framework-2.1-m1/dist/spring.jar:/work/libs/spring-framework-2.1-m1/dist/spring-aspects.jar:/work/libs/junit4.1/junit-4.1.jar:/work/wkspace/proj/gxt-test/src:/work/libs/gwt-mac-1.5.3/gwt-dev-mac.jar:/work/libs/gwt-mac-1.5.3/gwt-user.jar:/work/libs/gxt-1.2.1/gxt.jar com.google.gwt.dev.GWTShell -style DETAILED -out /Users/ben/Library/Caches/IntelliJIDEA60/gwt/gxt-test.20a6c303/run/www -gen /Users/ben/Library/Caches/IntelliJIDEA60/gwt/gxt-test.20a6c303/run/gen demo.Demo/home.html
    From what I can tell, that should be correct, but I can't seem to figure out the issue. Any help would be much appreciated.

  2. #2
    Ext GWT Premium Member gslender's Avatar
    Join Date
    Mar 2008
    Location
    Brisbane, Australia
    Posts
    1,572

    Default

    the first entry in your classpath has gxt-1.1.3/src so that would be the problem.

  3. #3
    Ext JS Premium Member firejack's Avatar
    Join Date
    Apr 2007
    Location
    Baltimore, MD
    Posts
    22

    Default Thanks

    Right you are. I did something very screwy long ago to deal with another error and accidentally left that source in place. Removed it and presto - everything is hunky dory.

    Much thanks GS.

    Ben

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •